=== debian/changelog ===
ros-noetic-aruco-opencv (0.2.0-1buster) buster; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Fix build for Debian Buster
  * Publish transforms from output_frame to markers on tf2
  * Transform marker poses to specified output frame
  * Allow changing camera info without restarting the tracker
  * Add dynamically reconfigurable parameters for corner refinement
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-noetic-aruco-opencv (0.1.0-1buster) buster; urgency=high

  * Initial version of the package
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000
