## ros-noetic-aruco-opencv 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
   tf2_geometry_msgs
   tf2_ros
 )
+find_package(OpenCV ${OpenCV_VERSION} REQUIRED COMPONENTS aruco)
+find_package(yaml-cpp REQUIRED)
 
 generate_dynamic_reconfigure_options(
   cfg/ArucoDetector.cfg
@@ -18,12 +20,21 @@
 
 catkin_package()
 
-include_directories(${catkin_INCLUDE_DIRS})
+include_directories(
+  include
+  ${catkin_INCLUDE_DIRS}
+  ${YAML_CPP_INCLUDE_DIRS}
+)
 
 add_library(${PROJECT_NAME}
-  src/single_marker_tracker.cpp
+  src/aruco_tracker.cpp
+  src/utils.cpp
 )
-target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
+target_link_libraries(${PROJECT_NAME}
+  ${catkin_LIBRARIES}
+  opencv_aruco
+  ${YAML_CPP_LIBRARIES}
+)
 add_dependencies(${PROJECT_NAME}
   ${PROJECT_NAME}_gencfg
 )
@@ -31,6 +42,13 @@
 install(
   TARGETS ${PROJECT_NAME}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+)
+
+install(
+  PROGRAMS 
+    scripts/create_board
+    scripts/create_marker
+  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
 
 install(FILES nodelet_plugins.xml
