=== debian/changelog ===
ros-noetic-aruco-opencv (0.3.1-1focal) focal; urgency=high

  * Fix build for Debian Buster
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-noetic-aruco-opencv (0.3.0-1focal) focal; urgency=high

  * Add Board detection (#6 <https://github.com/fictionlab/aruco_opencv/issues/6>)
    * Rename SingleMarkerTracker to ArucoTracker
    * Add BoardPose msg, change MarkerDetection to ArucoDetection
    * Load board descriptions from yaml file
    * Add more boards to example configuration
    * Change default marker dictionary
    * Add board pose estimation
    * Lock camera info for board estimation
  * Ignore duplicate image frames
  * Add scripts for generating markers and boards
  * Fix included headers file extensions
  * Port changes from foxy branch
  * Simplify filling the camera matrix from camera info
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-noetic-aruco-opencv (0.2.0-1focal) focal; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Fix build for Debian Buster
  * Publish transforms from output_frame to markers on tf2
  * Transform marker poses to specified output frame
  * Allow changing camera info without restarting the tracker
  * Add dynamically reconfigurable parameters for corner refinement
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-noetic-aruco-opencv (0.1.0-1focal) focal; urgency=high

  * Initial version of the package
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000
